import os  # Import modul os untuk berinteraksi dengan sistem operasi
from os.path import join, dirname  # Import fungsi join dan dirname dari modul os.path
from dotenv import load_dotenv  # Import fungsi load_dotenv dari modul dotenv

# Gabungkan path file .env dengan direktori file Python yang sedang dijalankan
dotenv_path = join(dirname(__file__), '.env')
load_dotenv(dotenv_path)  # Muat variabel lingkungan dari file .env ke dalam memori

# Ambil nilai variabel lingkungan dari file .env dan simpan ke dalam variabel
database_username=os.environ.get('usernamenya')  # Variabel untuk username database
database_password=os.environ.get('passwordnya')  # Variabel untuk password database
database_ip=os.environ.get('db_ip')  # Variabel untuk IP database
database_name=os.environ.get('db_name')  # Variabel untuk nama database
secret_key=os.environ.get('SECRET_KEY')  # Variabel untuk secret key
env=os.environ.get('FLASK_ENV')  # Variabel untuk lingkungan aplikasi (development, production, dll)
FILENAMES=os.environ.get('FILENAMES')  # Variabel untuk nama file
assets_dir=FILENAMES+'/assets/'  # Variabel untuk path direktori assets dalam aplikasi
