from flask_wtf import FlaskForm  # Import modul FlaskForm dari flask_wtf untuk membuat formulir
from flask_wtf.file import FileField, FileRequired, FileAllowed  # Import modul yang berkaitan dengan upload file
from wtforms import SubmitField  # Import modul SubmitField dari wtforms untuk membuat tombol submit

class DocumentUploadForm(FlaskForm):  # Definisikan kelas DocumentUploadForm yang mewarisi FlaskForm
    document = FileField('Document', validators=[FileRequired('Mohon Masukkan File Excel'), FileAllowed(['xlsx'], 'File Tidak Berformat Excel!')])  
    # Field untuk upload file dengan nama 'Document', dengan validasi wajib diisi dan format file yang diperbolehkan xlsx
    submit = SubmitField(label=('submit'))  # Tombol submit dengan label 'submit'
