import pandas as pd 
import numpy as np  
import json  
import plotly 
import plotly.express as px 
from wordcloud import WordCloud 
import base64  
import io  

# Fungsi untuk mengubah legenda pada plot
def newLegend(fig, newNames):  
    newLabels = []
    for item in newNames:
        for i, elem in enumerate(fig.data[0].labels):
            if elem == item:
                newLabels.append(newNames[item])
    fig.data[0].labels = np.array(newLabels)
    return(fig)

# Fungsi untuk membuat bar chart
def barchart(kamusall):
    df3 = pd.DataFrame(kamusall, columns=["term","df"])
    short_df3 = df3.sort_values(by='df', ascending=False)
    fig = px.bar(short_df3.head(50), x='term', y='df')
    barJSON = json.dumps(fig, cls=plotly.utils.PlotlyJSONEncoder)
    return barJSON

# Fungsi untuk membuat pie chart
def piechart(dataset):  
    df2 = pd.DataFrame(dataset, columns=["label"])
    grup = df2.groupby('label').size().reset_index(name='size')
    fig = px.pie(grup, values='size' , names='label')
    fig=newLegend(fig, {0:"0 - Negatif",
                        1:"1 - Positif",
                        2:"2 - Netral"})
    pieJSON = json.dumps(fig, cls=plotly.utils.PlotlyJSONEncoder)
    return pieJSON

# Fungsi untuk membuat word cloud
def get_wordcloud(dataframe):  
    pil_img = WordCloud(width=800, height=500)
    wordCloud=pil_img.generate_from_frequencies(dataframe).to_image()
    img= io.BytesIO()
    wordCloud.save(img,"PNG")
    img.seek(0)
    img_b64=base64.b64encode(img.getvalue()).decode()
    return img_b64
